libvisio::VSDFillStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDFillStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDFillStyle ()
| VSDFillStyle (const Colour &fgc, const Colour &bgc, unsigned char p, double fga, double bga, const Colour &sfgc, unsigned char shp, double shX, double shY, long qsFc, long qsSc, long qsFm)
| VSDFillStyle (const VSDFillStyle &style)=default
| ~VSDFillStyle ()
VSDFillStyle & | operator= (const VSDFillStyle &style)=default
void | override (const VSDOptionalFillStyle &style, const VSDXTheme *theme)

## Public Attributes
Colour | fgColour
Colour | bgColour
unsigned char | pattern
double | fgTransparency
double | bgTransparency
Colour | shadowFgColour
unsigned char | shadowPattern
double | shadowOffsetX
double | shadowOffsetY
long | qsFillColour
long | qsShadowColour
long | qsFillMatrix

## Constructor & Destructor Documentation

## ◆ VSDFillStyle() [1/3]

libvisio::VSDFillStyle::VSDFillStyle | ( |  | ) |
| inline

## ◆ VSDFillStyle() [2/3]

libvisio::VSDFillStyle::VSDFillStyle | ( | const Colour & | fgc,
|  | const Colour & | bgc,
|  | unsigned char | p,
|  | double | fga,
|  | double | bga,
|  | const Colour & | sfgc,
|  | unsigned char | shp,
|  | double | shX,
|  | double | shY,
|  | long | qsFc,
|  | long | qsSc,
|  | long | qsFm
| ) |  |
| inline

## ◆ VSDFillStyle() [3/3]

libvisio::VSDFillStyle::VSDFillStyle | ( | const VSDFillStyle & | style | ) |
| default

## ◆ ~VSDFillStyle()

libvisio::VSDFillStyle::~VSDFillStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDFillStyle & libvisio::VSDFillStyle::operator= | ( | const VSDFillStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDFillStyle::override | ( | const VSDOptionalFillStyle & | style,
|  | const VSDXTheme * | theme
| ) |  |
| inline

Referenced by libvisio::VSDStyles::getFillStyle().

## Member Data Documentation

## ◆ bgColour

Colour libvisio::VSDFillStyle::bgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ bgTransparency

double libvisio::VSDFillStyle::bgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ fgColour

Colour libvisio::VSDFillStyle::fgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ fgTransparency

double libvisio::VSDFillStyle::fgTransparency

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ pattern

unsigned char libvisio::VSDFillStyle::pattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ qsFillColour

long libvisio::VSDFillStyle::qsFillColour

Referenced by override().

## ◆ qsFillMatrix

long libvisio::VSDFillStyle::qsFillMatrix

Referenced by override().

## ◆ qsShadowColour

long libvisio::VSDFillStyle::qsShadowColour

Referenced by override().

## ◆ shadowFgColour

Colour libvisio::VSDFillStyle::shadowFgColour

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ shadowOffsetX

double libvisio::VSDFillStyle::shadowOffsetX

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ shadowOffsetY

double libvisio::VSDFillStyle::shadowOffsetY

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

## ◆ shadowPattern

unsigned char libvisio::VSDFillStyle::shadowPattern

Referenced by libvisio::VSDContentCollector::_fillAndShadowProperties(), and override().

The documentation for this struct was generated from the following file:

- VSDStyles.h